<template>
  <view >
	  <view class="notbox">
		   <meet-list :datalist="list" :wtdt="wtdt"   :type='ptype' @getDetail="getDetail" ></meet-list>
	  </view>
	 
	<footers v-if="isfootflag" :footlist="footlist" :footerindex="footerindex" :color_checked="color_checked" :color_nochecked="color_nochecked" :isHomeIndex="true"></footers>
 </view>
</template>

<script>
	import footers from '@/components/footer/footer.vue'
  import { checkPermi, checkRole } from "@/utils/permission"; // 权限判断函数
  import {getMeetListFn} from "@/api/mine/meeting.js"
  import meetList from "@/work/components/meeting/list.vue"
  export default {
	components:{footers,meetList},
    data() {
      return {
		  footlist:[
		  	{module:'home',title:'潜山政协',icon_checked:require('@/static/images/tabbar/home_.png'),icon_nochecked:require('@/static/images/tabbar/home.png')},
		  	{module:'report',title:'履职报告',icon_checked:require('@/static/images/tabbar/report_.png'),icon_nochecked:require('@/static/images/tabbar/report.png')},
		  	{module:'notice',title:'会议通知',icon_checked:require('@/static/images/tabbar/notice_.png'),icon_nochecked:require('@/static/images/tabbar/notice.png')},
		  	{module:'mine',title:'个人中心',icon_checked:require('@/static/images/tabbar/mine_.png'),icon_nochecked:require('@/static/images/tabbar/mine.png')},
		  	],
		  color_checked :'222327',
		  color_nochecked :'AAAAAA',
		  footerindex:'notice',
		  isfootflag:true,
		  list:[],
		  pageSize: 10,
		  pageNum: 1,
		  reachflag: true,
		  wtdt:'',
		  ptype:'hytz',
		  userId:this.$store.state.user.userId,
      }
    },
	onShow() {
	},
	onLoad() {
		this.getDataFn()
	},
    methods: {
		checkPermi, checkRole,
		getDataFn(){
			var params={
				pageSize:this.pageSize,
				pageNum: this.pageNum,
				// visitType:3
			}
			// params.userId=this.userId
			getMeetListFn(params).then(res=>{
				if(res.code==200){
					if (res.rows.length < this.pageSize) {
						this.reachflag = false
						this.wtdt = '到底了~';
					} else {
						var num = parseInt(res.rows.length) + parseInt(this.pageSize) * parseInt(this.pageNum -	1)
						if (num < res.total) {
							this.reachflag = true
							this.wtdt = '上拉加载更多'
						} else {
							this.reachflag = false
							this.wtdt = '到底了~';
						}
					}
					if (this.pageNum == 1) {
						this.list = res.rows;
					} else {
						this.list = this.list.concat(res.rows)
					}
				}else{
					this.$toast(res.msg)
				}
			})
	
		},
    }
  }
</script>

<style lang="scss" scoped>
  page {
    background-color: #f5f6f7;
  }
  .notbox{padding: 24rpx;}
</style>
